store non-config files in /var/lib/certcentral
Closed, ResolvedPublic

Description

Files not being deployed puppet should be stored in /var/lib/certcentral instead of /etc/certcentral

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2018, 11:49 AM

Change 473706 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@master] certcentral: split base path in config and certificates path

https://gerrit.wikimedia.org/r/473706

Change 473713 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] debian: Take into account /var/lib/certcentral

https://gerrit.wikimedia.org/r/473713

Change 473751 had a related patch set uploaded (by Alex Monk; owner: Vgutierrez):
[operations/software/certcentral@debian] certcentral: split base path in config and certificates path

https://gerrit.wikimedia.org/r/473751

Change 473706 merged by jenkins-bot:
[operations/software/certcentral@master] certcentral: split base path in config and certificates path

https://gerrit.wikimedia.org/r/473706

Change 473713 merged by Vgutierrez:
[operations/software/certcentral@debian] debian: Take into account /var/lib/certcentral

https://gerrit.wikimedia.org/r/473713

Change 473751 merged by jenkins-bot:
[operations/software/certcentral@debian] certcentral: split base path in config and certificates path

https://gerrit.wikimedia.org/r/473751

Change 473754 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@master] Release 0.7

https://gerrit.wikimedia.org/r/473754

Change 473754 merged by jenkins-bot:
[operations/software/certcentral@master] Release 0.7

https://gerrit.wikimedia.org/r/473754

Change 473758 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] Release 0.7

https://gerrit.wikimedia.org/r/473758

Change 473759 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] debian: Add release 0.7 to changelog

https://gerrit.wikimedia.org/r/473759

Change 473758 merged by jenkins-bot:
[operations/software/certcentral@debian] Release 0.7

https://gerrit.wikimedia.org/r/473758

Change 473759 merged by jenkins-bot:
[operations/software/certcentral@debian] debian: Add release 0.7 to changelog

https://gerrit.wikimedia.org/r/473759

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-11-16T05:47:47Z] <vgutierrez> uploaded certcentral 0.7 to apt.wikimedia.org (stretch) - T208967 T209475

Change 474058 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] certcentral: update live_certs path

https://gerrit.wikimedia.org/r/474058

Change 474058 merged by Vgutierrez:
[operations/puppet@production] certcentral: update live_certs path

https://gerrit.wikimedia.org/r/474058

Vgutierrez closed this task as Resolved.Nov 16 2018, 8:11 AM